RPMLINT(1)

BEZEICHNUNG
rpmlint - auf häufig vorkommende Probleme in RPM-Paketen prüfen

ÜBERSICHT
rpmlint [OPTION] … [DATEI|PAKET] …

BESCHREIBUNG
rpmlint ist ein Werkzeug zum Prüfen auf häufig vorkommende Fehler in RPM-Paketen. Es kann zum Testen einzelner Pakete und Spec-Dateien vor dem Hochladen oder zum Überprüfen ganzer Distributionen verwendet werden. Standardmäßig werden alle anwendbaren Überprüfungen durchgeführt, aber spezifische Prüfungen können auch über Befehlszeilenparameter ausgeführt werden. DATEI kann eine RPM-Paketdatei, eine Spec-Datei oder ein Verzeichnis sein. Im Fall eines Verzeichnisses wird rekursiv nach zu überprüfenden RPM- und Spec-Dateien gesucht. Der spezielle Wert - sorgt dafür, dass aus der Standardeingabe gelesen wird und dies als Inhalt einer (einzelnen) Spec-Datei aufgefasst wird. PAKET ist der Name eines installierten Pakets oder ein glob(7)-Muster, das auf installierte Pakete passt, es sei denn, eine Datei dieses Namens existiert.

-i, --info
    zeigt Erklärungen zu den ausgegebenen Meldungen an.

-I, --explain=Meldungskennung
    zeigt Erklärungen zu den angegebenen Meldungskennungen an und beendet das Programm. Diese Option kann mehrmals angegeben werden.

-c, --check=Prüfung
    führt nur die angegebene Prüfung aus. Diese Option kann mehrmals angegeben werden, falls mehrere Prüfungen ausgeführt werden sollen. Prüfung ist der Name des Python-Moduls (so wie es in der Import-Anweisung in Python angegeben werden würde), das die Prüfung enthält.

-a, --all
    überprüft alle installierten Pakete.

-C, --checkdir=Verzeichnis
    stellt das angegebene Verzeichnis der Pfadliste voran, aus der Prüfungen geladen werden sollen, sofern es sich noch nicht in der Liste befindet. Die vorgegebene Liste von Prüfungsverzeichnissen enthält typischerweise nur /usr/share/rpmlint. Die Verzeichnisse in den Prüfungsverzeichnislisten werden auch am Anfang der Liste der Pfade, aus denen Python-Module geladen werden, eingefügt, wenn der Prüfungsvorgang beginnt.

-h, --help
    zeigt eine Zusammenfassung der Befehlszeilenoptionen an und beendet das Programm.

-v, --verbose
    agiert im ausführlichen Modus.

-E, --extractdir=Verzeichnis
    gibt das Basisverzeichnis für entpackte temporäre Dateien an. Die Vorgabe ist das, was die Python-Funktion tempfile.gettempdir() zurückgibt.

-V, --version
    zeigt Versionsinformationen an und beendet das Programm.

-n, --noexception
    ignoriert Ausgabefilter.

--rawout=Datei
    schreibt die ungefilterte Ausgabe in die angegebene Datei.

-f, --file=Konfigurationsdatei
    lädt die Benutzerkonfiguration aus der angegebenen Datei. Die Vorgabe ist $XDG_CONFIG_HOME/rpmlint (~/.config/rpmlint, falls $XDG_CONFIG_HOME leer oder nicht gesetzt ist).

-o, --option=Wert
    setzt eine Konfigurationsoption außer Kraft. Der angegebene Wert ist eine durch Leerraum getrennte Zeichenkette, deren erstes Wort der Name der zu festzulegenden Option ist. Der Rückgabewert der Python-Funktion eval() wird für den Rest als Wert für die Option festgelegt. Wenn nur ein Optionsname übergeben wird, dann wird dies so aufgefasst, als ob nichts als Wert übergeben worden wäre. Siehe die mit rpmlint gelieferte Datei config für eine Liste der Konfigurationsoptionen und deren Typen. Zum Beispiel:
     -o "NetworkEnabled True"
     -o "Distribution 'Meine Lieblingsdistribution'"
     -o "MaxLineLength 80"
     -o "ValidShells ('/bin/sh', '/bin/bash')"

EINSCHRÄNKUNGEN
Nicht alle Prüfungen sind auf alle Argumenttypen anwendbar. Um die Prüfungen bestmöglich zu nutzen, führen Sie rpmlint mit allen Quell- und Binärpaketen aus, die in Ihrer Erstellung produziert werden. Die Gruppe der Prüfungen, die rpmlint auf Quellpakete anwendet, ist eine Obermenge derjenigen für einfache Spec-Dateien, die Gruppe der Prüfungen, die auf installierte Binärpakete angewendet werden, ist eine Obermenge derjenigen für nicht installierte Binärpaket-Dateien und die Prüfungen für Quell- und Binärpakete sind recht unterschiedlich.

DATEIEN

/usr/share/rpmlint/config, /usr/share/rpmlint/config.*
    Eingebaute Konfiguration. Wenn als irgendein_Präfix-rpmlint aufgerufen, wird /usr/share/rpmlint/config.irgendein_Präfix verwendet, falls es existiert, anderenfalls /usr/share/rpmlint/config.

/etc/rpmlint/*config
    Systemweite Konfiguration.

$XDG_CONFIG_HOME/rpmlint oder ~/.config/rpmlint
    Benutzerkonfiguration.

EXIT-CODES

0   Keine Fehler.

1   Nicht spezifizierter Fehler.

2   Abgebrochen.

64  Eine oder mehrere Fehlermeldungen wurden ausgegeben.

66  Schlechtigkeitsschwellwert wurde überschritten.

AUTOR
Ursprünglich von Frédéric Lepied geschrieben, seitdem von verschiedenen Mitwirkenden bearbeitet und betreut.

COPYRIGHT
Dieses Programm ist unter der GNU General Public License lizenziert, siehe die Datei COPYING im Distributionsarchiv.

ÜBERSETZUNG
Die deutsche Übersetzung dieser Handbuchseite wurde von Mario Blättermann <mario.blaettermann@gmail.com> erstellt. Diese Übersetzung ist Freie Dokumentation; lesen Sie die GNU General Public License Version 3 oder neuer bezüglich der Copyright-Bedingungen. Es wird KEINE HAFTUNG übernommen. Wenn Sie Fehler in der Übersetzung dieser Handbuchseite finden, schicken Sie bitte eine E-Mail an <debian-l10n-german@lists.debian.org>.